[Overview][Constants][Types][Classes][Index] | Reference for unit 'Speech' (#crwlib)

# SRMODEINFOW

## Declaration

Source position: speech.pas line 2535

`type SRMODEINFOW = record`
`gEngineID: TGUID;`
`szMfgName: array [0..SRMI_NAMELEN-1] of WideChar;`
`szProductName: array [0..SRMI_NAMELEN-1] of WideChar;`
`gModeID: TGUID;`
`szModeName: array [0..SRMI_NAMELEN-1] of WideChar;`
`Language: TLanguageW;`
`dwSequencing: DWORD;`
`dwMaxWordsVocab: DWORD;`
`dwMaxWordsState: DWORD;`
`dwGrammars: DWORD;`
`dwFeatures: DWORD;`
`dwInterfaces: DWORD;`
`dwEngineFeatures: DWORD;`
`end;`